Page MenuHomePhabricator

Diff not centered
Closed, ResolvedPublic

Description

@KHammerstein pointed out that if you visit http://en.m.wikipedia.beta.wmflabs.org/wiki/Special:MobileDiff/226666?mobileaction=beta
the diff and the fixed info panel at the bottom are not center aligned.

They should be.

Blocked on:
Need a mock to show how it should look.
Note Baha's comments:

  • Should the user info be centered
  • I think the left and right paddings should be removed now that the content is aligned in the center: http://i.imgur.com/qQHRz6K.png

Mock

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterDiff should be centered in beta

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Moushira, bmansurov, phuedx and 5 others.
phuedx set Security to None.
KLans_WMF triaged this task as Medium priority.Jul 1 2015, 3:45 PM
KLans_WMF moved this task from Incoming to 2014-15 Q4 on the Readers-Web-Backlog board.

Change 227906 had a related patch set uploaded (by Jdlrobson):
Diff should be centered in beta

https://gerrit.wikimedia.org/r/227906

The patch has some questions/comments.

For the benefit of non-devs - the question is should the user info bar be fix positioned as well? We are assuming yes.

phuedx changed the task status from Open to Stalled.Aug 5 2015, 10:17 AM

This is blocked on @KHammerstein/Design.

Note patch has been rewritten to center the user info.

Jdlrobson updated the task description. (Show Details)Aug 5 2015, 6:36 PM
Jdlrobson updated the task description. (Show Details)

I just went with your suggestion @bmansurov I'm keen to get this off my radar. @KHammerstein can always file a follow up bug.

This is the design as currently implemented in tablet mode:
http://i.imgur.com/fd8CNLu.png

Change 227906 merged by jenkins-bot:
Diff should be centered in beta

https://gerrit.wikimedia.org/r/227906

Jhernandez removed KHammerstein as the assignee of this task.Aug 13 2015, 7:50 PM
Jhernandez added a subscriber: Jhernandez.

Can't see it on beta labas, I don't know why. Have a look at the mock kaity posted please.

It's basically the same but the footer expands full width like the header.

Beta labs doesn't seem to be running latest code.

Jhernandez changed the task status from Stalled to Open.Aug 14 2015, 10:26 AM

Noice! Done! 👍👏

Jhernandez closed this task as Resolved.Aug 14 2015, 10:26 AM